Skip to main content
GET
/
orders
/
{id}
Get order
curl --request GET \
  --url https://{subdomain}.truust.io/2.0/orders/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{subdomain}.truust.io/2.0/orders/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{subdomain}.truust.io/2.0/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "self": "/2.0/orders/1234",
  "public_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "value": 123,
  "fee_value": 123,
  "fee_percent": 123,
  "currency": "EUR",
  "amount": "150.00 €",
  "payin_amount": "<string>",
  "payout_amount": "<string>",
  "fee_amount": "<string>",
  "shipping_amount": "<string>",
  "buyer_link": "<string>",
  "seller_link": "<string>",
  "qr_link": "<string>",
  "sandbox": true,
  "status_nicename": "<string>",
  "images": [
    "<string>"
  ],
  "tag": "<string>",
  "payin_intents": 123,
  "payin_types": [
    "<string>"
  ],
  "payin_fallback": [
    "<string>"
  ],
  "metadata": {},
  "template": {},
  "published_units": 123,
  "refund": {
    "status": "<string>",
    "reference_id": "<string>"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "published_at": "2023-11-07T05:31:56Z",
  "accepted_at": "2023-11-07T05:31:56Z",
  "shipping_at": "2023-11-07T05:31:56Z",
  "cancelled_at": "2023-11-07T05:31:56Z",
  "validated_at": "2023-11-07T05:31:56Z",
  "released_at": "2023-11-07T05:31:56Z",
  "connections": {}
}
{
"message": "Not found"
}

Authorizations

Authorization
string
header
required

Use your account's Secret Key as the Bearer token.

Path Parameters

id
integer
required

Order ID.

Response

Order details

id
integer
self
string
Example:

"/2.0/orders/1234"

public_id
string | null
name
string
description
string | null
value
number

Order amount.

fee_value
number | null
fee_percent
number | null
currency
string
Example:

"EUR"

amount
string

Formatted amount with currency symbol.

Example:

"150.00 €"

payin_amount
string | null
payout_amount
string | null
fee_amount
string | null
shipping_amount
string | null

Payment URL to share with the buyer.

Acceptance URL to share with the seller.

QR code image URL for the order.

status
enum<string>
Available options:
DRAFT,
PENDING_DETAILS,
PENDING_PUBLISH,
PUBLISHED,
ACCEPTED,
REJECTED,
CANCELLED,
RELEASED
sandbox
boolean
status_nicename
string

Human-readable status label.

images
string[]
tag
string | null
payin_intents
integer | null
payin_types
string[] | null
payin_fallback
string[] | null
metadata
object | null
template
object | null
published_units
integer | null
refund
object
created_at
string<date-time> | null
published_at
string<date-time> | null

When the order was paid.

accepted_at
string<date-time> | null
shipping_at
string<date-time> | null
cancelled_at
string<date-time> | null
validated_at
string<date-time> | null
released_at
string<date-time> | null
connections
object

Hypermedia links to related resources.